GLM_EXT_quaternion_double_precision
Stable extensions

## Typedefs

typedef qua< double, highp > | highp_dquat
| Quaternion of high double-qualifier floating-point numbers using high precision arithmetic in term of ULPs. More...
typedef qua< double, lowp > | lowp_dquat
| Quaternion of double-precision floating-point numbers using high precision arithmetic in term of ULPs. More...
typedef qua< double, mediump > | mediump_dquat
| Quaternion of medium double-qualifier floating-point numbers using high precision arithmetic in term of ULPs. More...

## Detailed Description

Exposes double-precision floating point quaternion type with various precision in term of ULPs.

Include <glm/ext/quaternion_double_precision.hpp> to use the features of this extension.

## Typedef Documentation

## highp_dquat

typedef qua< double, highp > highp_dquat

Quaternion of high double-qualifier floating-point numbers using high precision arithmetic in term of ULPs.

See also
  GLM_EXT_quaternion_double_precision

Definition at line 38 of file quaternion_double_precision.hpp.

## lowp_dquat

typedef qua< double, lowp > lowp_dquat

Quaternion of double-precision floating-point numbers using high precision arithmetic in term of ULPs.

See also
  GLM_EXT_quaternion_double_precision

Definition at line 28 of file quaternion_double_precision.hpp.

## mediump_dquat

typedef qua< double, mediump > mediump_dquat

Quaternion of medium double-qualifier floating-point numbers using high precision arithmetic in term of ULPs.

See also
  GLM_EXT_quaternion_double_precision

Definition at line 33 of file quaternion_double_precision.hpp.